PHP Manual
Prev |  | Next

# SDO_DAS_ChangeSummary::getChangeType

(no version information, might be only in CVS)

SDO_DAS_ChangeSummary::getChangeType -- Get the type of change made to an SDO_DataObject

## Description

int SDO_DAS_ChangeSummary::getChangeType ( SDO_DataObject dataObject )

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

Get the type of change which has been made to the supplied SDO_DataObject.

## Parameters

dataObject

  The SDO_DataObject which has been changed.

## Return Values

The type of change which has been made. The change type is expressed as an enumeration and will be one of the following four values:

- SDO_DAS_ChangeSummary::NONE

- SDO_DAS_ChangeSummary::MODIFICATION

- SDO_DAS_ChangeSummary::ADDITION

- SDO_DAS_ChangeSummary::DELETION

Prev | Home | Next
SDO_DAS_ChangeSummary::endLogging | Up | SDO_DAS_ChangeSummary::getChangedDataObjects